Accounting Reports

by
Odoo          
v 11.0 Third Party 1623
Download for 11.0 series Deploy on Odoo.sh
You bought this module and need support ? Click here !
Technical name account_report_cbc
LicenseAGPL-3
Websitehttps://www.cubicerp.com

Beautiful dynamic Ledger

Analyze your ledger quickly and easy.

Easily create your ledger report Quickly filter, zoom, annotate and compare any data. Save it on pdf and excel format.

About Cubic ERP

Free Open Software for Business and Government

 

Cubic ERP is a suite of open source apps for business and government processes, available on mobile & web devices, under AGPL licence and compatible with Odoo v11.

Contact us at CubicERP.com, email: info@cubicerp.com or WhatsApp +51 989156045

Please log in to comment on this module

Please choose a rating from 1 to 5 for this module.
Odoo
Please Resolve these issue
by on

I have changed directory name and install successfully but still not working proper when we click on icon to drop down show this Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\pycompat.py", line 87, in reraise raise value File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 692, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\service\model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 936, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 515, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\web\controllers\main.py", line 934, in call_kw return self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\web\controllers\main.py", line 926, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 687, in call_kw return call_kw_model(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 672, in call_kw_model result = method(recs, *args, **kwargs) File "C:\Program Files (x86)\Odoo 11.0\server\odoo\addons\account_report\models\account_report_ledger.py", line 114, in get_lines model_id = kw['model_id'] KeyError: 'model_id'


Odoo
Any update on the reporter errors ?
by on

Still facing /var/www/odoo11/odoo11_sli_addons/account_report/models/account_report_ledger.py", line 114, in get_lines model_id = kw['model_id'] KeyError: 'model_id error


Odoo
Install Error while installing the module with Odoo 11CE.
by on

Style error The style compilation failed, see the error below. Your recent actions may be the cause, please try reverting the changes you made. Could not get content for /account_report/static/src/less/account_report_ledger.less defined in bundle 'web.assets_backend'.


Odoo
Installation success but Preview Error
by on

i can install the module successfuly but when press the preview button i got this error: Error: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/tools/cache.py", line 84, in lookup r = d[key] File "/odoo/odoo-server/odoo/tools/func.py", line 68, in wrapper return func(self, *args, **kwargs) File "/odoo/odoo-server/odoo/tools/lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.model.data', , 'account_report.action_ledger_report') During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/odoo/http.py", line 647, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo/odoo-server/odoo/http.py", line 307, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo/odoo-server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/odoo/odoo-server/odoo/http.py", line 689, in dispatch result = self._call_function(**self.params) File "/odoo/odoo-server/odoo/http.py", line 339, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo/odoo-server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/odoo/odoo-server/odoo/http.py", line 332, in checked_call result = self.endpoint(*a, **kw) File "/odoo/odoo-server/odoo/http.py", line 933, in __call__ return self.method(*args, **kw) File "/odoo/odoo-server/odoo/http.py", line 512, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 934, in call_button action = self._call_kw(model, method, args, {}) File "/odoo/odoo-server/addons/web/controllers/main.py", line 922, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/odoo/custom/addons/account_report_cbc/wizard/account_report_common.py", line 38, in preview_report return self._preview_report(data) File "/odoo/custom/addons/account_report_cbc/wizard/account_report_ledger.py", line 34, in _preview_report return self.client_action('account_report.action_ledger_report', data) File "/odoo/custom/addons/account_report_cbc/wizard/account_report_common.py", line 47, in client_action 'name': self.env.ref(xml_id).name, File "/odoo/odoo-server/odoo/api.py", line 793, in ref return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found) File "/odoo/odoo-server/odoo/addons/base/ir/ir_model.py", line 1332, in xmlid_to_object t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found) File "/odoo/odoo-server/odoo/addons/base/ir/ir_model.py", line 1316, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "", line 2, in xmlid_lookup File "/odoo/odoo-server/odoo/tools/cache.py", line 89, in lookup value = d[key] = self.method(*args, **kwargs) File "/odoo/odoo-server/odoo/addons/base/ir/ir_model.py", line 1305, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: account_report.action_ledger_report


Odoo
I got style error at install
by on

Hello, under Odoo 11, I installed the module, but we need to rename the folder module from account_report_cbc to account_report if not, we got the error : Could not get content for /account_report/static/src/less/account_report_ledger.less defined in bundle 'web.assets_backend'. If I preview the Ledger Report, I can click on account arrowm but I get the following error: Error: Odoo Server Error Traceback (most recent call last): File "/var/www/odoo11/server/odoo/http.py", line 646, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/var/www/odoo11/server/odoo/http.py", line 307, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/var/www/odoo11/server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/var/www/odoo11/server/odoo/http.py", line 683, in dispatch result = self._call_function(**self.params) File "/var/www/odoo11/server/odoo/http.py", line 339, in _call_function return checked_call(self.db, *args, **kwargs) File "/var/www/odoo11/server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/var/www/odoo11/server/odoo/http.py", line 332, in checked_call result = self.endpoint(*a, **kw) File "/var/www/odoo11/server/odoo/http.py", line 927, in __call__ return self.method(*args, **kw) File "/var/www/odoo11/server/odoo/http.py", line 512, in response_wrap response = f(*args, **kw) File "/var/www/odoo11/server/addons/web/controllers/main.py", line 920, in call_kw return self._call_kw(model, method, args, kwargs) File "/var/www/odoo11/server/addons/web/controllers/main.py", line 912, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/var/www/odoo11/server/odoo/api.py", line 687, in call_kw return call_kw_model(method, model, args, kwargs) File "/var/www/odoo11/server/odoo/api.py", line 672, in call_kw_model result = method(recs, *args, **kwargs) File "/var/www/odoo11/odoo11_sli_addons/account_report/models/account_report_ledger.py", line 114, in get_lines model_id = kw['model_id'] KeyError: 'model_id' Thanks


Odoo
It is not working, showing error
by on

By seeing the preview in the site it looks good, but i tried but it is not working. kindly solve the error.